#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>

class QTabWidget;
class MyLabel;

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);

protected:
    void mousePressEvent ( QMouseEvent * event );

private slots:
    void addNewTab();

private:
    QTabWidget  *m_tabWidget;
    QWidget     *m_currentWidget;
    MyLabel     *m_label_firstTab;
    MyLabel     *m_label_secondTab;
};

#endif // WIDGET_H 
